=== debian/changelog ===
ginkgocadx (3.8.4-1build1) artful; urgency=medium

  * No-change rebuild against libdcmtk11

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 25 Jun 2017 08:42:37 +0000

ginkgocadx (3.8.4-1) unstable; urgency=medium

  * New upstream version 
  * d/p/01: remove patches applied upstream 

 -- Gert Wollny <gewo@debian.org>  Wed, 11 Jan 2017 12:09:30 +0000

ginkgocadx (3.8.3-4) unstable; urgency=medium

  * d/control: Update uploader mail address for Gert Wollny 
  * d/patches/01: Patch OGLSL shader to work with LLVM compiler 
    backend 

 -- Gert Wollny <gewo@debian.org>  Sun, 08 Jan 2017 18:44:29 +0000
