=== debian/changelog ===
ginkgocadx (3.8.5-1build1) artful; urgency=medium

  * Rebuild against new insighttoolkit 4.12.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 18 Aug 2017 22:36:26 +0200

ginkgocadx (3.8.5-1) unstable; urgency=medium

  * Upload to unstable, Closes: #865796 
  * Update standards version to 4.0.0

 -- Gert Wollny <gewo@debian.org>  Sun, 25 Jun 2017 05:32:32 +0000

ginkgocadx (3.8.5-1~exp1) experimental; urgency=medium

  * New upstream version  

 -- Gert Wollny <gewo@debian.org>  Mon, 13 Mar 2017 12:27:26 +0000
