=== debian/control ===
--- 
+++ 
@@ -1,9 +1,7 @@
 Source: ginkgocadx
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>,
            Thorsten Alteholz <debian@alteholz.de>,
-           Dmitry Smirnov <onlyjob@debian.org>,
            Gert Wollny <gewo@debian.org>
 Section: science
 Priority: optional
@@ -26,7 +24,7 @@
                libwxgtk3.0-dev,
                libxml2-dev,
                libgdcm-tools
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/ginkgocadx/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/ginkgocadx/trunk/
 Homepage: http://ginkgo-cadx.com/
