=== debian/changelog ===
ginkgocadx (3.8.6-1) unstable; urgency=medium

  * New upstream release

 -- Gert Wollny <gewo@debian.org>  Fri, 18 Aug 2017 13:07:34 +0000
