## ginkgocadx 3.8.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -38,10 +38,14 @@
   MESSAGE(STATUS "Compiler has full c++11 support")
 
   # g++ >= 6.0 sets std=c++14 by default
-  IF ((${CMAKE_CXX_COMPILER_ID} STREQUAL "GNU") AND
-      (CMAKE_CXX_COMPILER_VERSION VERSION_LESS 6.0.0))
+  IF (${CMAKE_CXX_COMPILER_ID} STREQUAL "GNU")
+    IF (CMAKE_CXX_COMPILER_VERSION VERSION_LESS 6.0.0)
+      SET(CXX_11_FLAG "-std=c++11")
+    ENDIF()
+  ELSE()
     SET(CXX_11_FLAG "-std=c++11")
   ENDIF()
+  
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}  ${CXX_11_FLAG}")
 ELSE()
   CHECK_CXX_COMPILER_FLAG("-std=c++11" HAS_GNU_CXX11_FLAG)
@@ -56,16 +60,6 @@
     ENDIF(HAS_GNU_CXX0X_FLAG)
   ENDIF(HAS_GNU_CXX11_FLAG)
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}  ${CXX_11_FLAG}")
-  INCLUDE (${CMAKE_CURRENT_SOURCE_DIR}/cmake/checkCpp0xAuto.cmake)
-  INCLUDE (${CMAKE_CURRENT_SOURCE_DIR}/cmake/checkCpp0xLambda.cmake)
-  IF(NOT "${CXX_HAS_CXX_0X_AUTO}" OR NOT CXX_HAS_CXX_0X_LAMBDA)
-    MESSAGE(FATAL_ERROR
-      "This source code requires the C++0x auto type and lambda features. "
-      "If your compiler is supposed to support this feature, "
-      "please enable the appropriate flags and delete the CMakeCache.txt file before "
-      "re-running cmake.\n"
-      "For g++ >= 4.8 this is '-std=c++0x' ")
-  ENDIF(NOT "${CXX_HAS_CXX_0X_AUTO}" OR NOT CXX_HAS_CXX_0X_LAMBDA)
 ENDIF()
 
 #doesn't work... using custom build
