=== debian/changelog ===
ginkgocadx (3.8.7-1build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 22:32:50 +0000

ginkgocadx (3.8.7-1) unstable; urgency=medium

  * New upstream version 
  * Move packaging to git
  * d/control: 
    - update VCS entries 
    - update standards to 4.1.0 (no changes needed)

 -- Gert Wollny <gewo@debian.org>  Sun, 24 Sep 2017 08:13:53 +0000
