=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: ginkgocadx
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>,
            Thorsten Alteholz <debian@alteholz.de>,
            Gert Wollny <gewo@debian.org>
@@ -24,9 +25,9 @@
                libwxgtk3.0-dev,
                libxml2-dev,
                libgdcm-tools
-Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/ginkgocadx/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/ginkgocadx/trunk/
+Standards-Version: 4.1.0
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/ginkgocadx.git 
+Vcs-Git: https://anonscm.debian.org/git/debian-med/ginkgocadx.git
 Homepage: http://ginkgo-cadx.com/
 
 Package: ginkgocadx
