=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules for Ginkgo CADx

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# minimise needless linking
export DEB_LDFLAGS_MAINT_APPEND= -Wl,--as-needed

## Disable wx3.0 WXDEBUG checks, as happened by default in wx2.8.
## (This is necessary to avoid segfaults with wx3.0).
export DEB_CPPFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ --parallel 

## avoid post{inst|rm}-useless-call-to-ldconfig
override_dh_makeshlibs:
	dh_makeshlibs --noscripts
