=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/ginkgocadx-$1\.tar\.gz/ \
  https://github.com/gerddie/ginkgocadx/tags .*/v?(\d\S*)\.tar\.gz
