## ginkgocadx 3.8.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 PROJECT(BUILD_ALL)
 
-SET( GINKGO_VERSION 3.8.6)
+SET( GINKGO_VERSION 3.8.8)
 
 SET( USE_PATCHED_LIBS        FALSE CACHE BOOL "Use patched libraries")
 SET( BUILD_VISUALIZATION_EXT TRUE CACHE BOOL "Build Visualization extention")
@@ -31,6 +31,8 @@
 
 include(CheckCXXCompilerFlag)
 
+set(CMAKE_CXX_STANDARD_DEFAULT "")
+
 IF (((${CMAKE_CXX_COMPILER_ID} STREQUAL "GNU") AND
       (CMAKE_CXX_COMPILER_VERSION VERSION_GREATER 5.3.0)) OR
     ((${CMAKE_CXX_COMPILER_ID} STREQUAL "Clang") AND
@@ -38,15 +40,12 @@
   MESSAGE(STATUS "Compiler has full c++11 support")
 
   # g++ >= 6.0 sets std=c++14 by default
-  IF (${CMAKE_CXX_COMPILER_ID} STREQUAL "GNU")
-    IF (CMAKE_CXX_COMPILER_VERSION VERSION_LESS 6.0.0)
-      SET(CXX_11_FLAG "-std=c++11")
-    ENDIF()
-  ELSE()
-    SET(CXX_11_FLAG "-std=c++11")
+  IF (NOT ( ${CMAKE_CXX_COMPILER_ID}  STREQUAL "GNU") OR
+      (CMAKE_CXX_COMPILER_VERSION VERSION_LESS 6.0.0))
+    set(CMAKE_CXX_STANDARD 11)
+    set(CMAKE_CXX_STANDARD_REQUIRED ON)
   ENDIF()
-  
-  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}  ${CXX_11_FLAG}")
+
 ELSE()
   CHECK_CXX_COMPILER_FLAG("-std=c++11" HAS_GNU_CXX11_FLAG)
   IF(HAS_GNU_CXX11_FLAG)
@@ -61,6 +60,7 @@
   ENDIF(HAS_GNU_CXX11_FLAG)
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}  ${CXX_11_FLAG}")
 ENDIF()
+
 
 #doesn't work... using custom build
 #IF(LINUX)
@@ -93,7 +93,7 @@
 ENDIF()
 
 IF(NOT USE_CUSTOM_DCMTK)
-FIND_PACKAGE(DCMTK 3.6.1 REQUIRED)
+FIND_PACKAGE(DCMTK 3.6.4 REQUIRED)
 ELSE()
 MESSAGE(STATUS "Using custom DCMTK")
 SET_CUSTOM_DCMTK_PACKAGE()
@@ -135,7 +135,10 @@
 LINK_DIRECTORIES(${CAIRO_LIBRARY_DIRS})
 
 IF(LINUX)
-  PKG_CHECK_MODULES(GTK REQUIRED gtk+-2.0)
+  STRING(REGEX MATCH "gtk[23]" GTK_VERSION_SENTINEL "${wxWidgets_LIBRARIES}")
+  STRING(REGEX REPLACE "gtk([23])" "gtk+-\\1.0" GTK_PKG_CONFIG_PACKAGE "${GTK_VERSION_SENTINEL}")
+
+  PKG_CHECK_MODULES(GTK REQUIRED ${GTK_PKG_CONFIG_PACKAGE})
   INCLUDE_DIRECTORIES(${GTK_INCLUDE_DIRS})
   LINK_DIRECTORIES(${GTK_LIBRARY_DIRS})
 
@@ -187,3 +190,4 @@
 PACKAGE_RULES( "${PROJECT_NAME}" "${ARCH}" "${DEST}" )
 ENDIF()
 
+MESSAGE(STATUS "Using CMAKE_CXX_FLAGS: ${CMAKE_CXX_FLAGS}")
