=== cadxcore/CMakeLists.txt ===
--- 
+++ 
@@ -206,27 +206,6 @@
 	ADD_DEFINITIONS(${XmlRpc++_defines})
 	INCLUDE_DIRECTORIES(${XmlRpc++_INCLUDE_DIR})
 	LINK_DIRECTORIES(${XmlRpc++_DIR})
-ENDIF()
-
-IF (LINUX)
-	IF (GTK2_FOUND)
-	  INCLUDE_DIRECTORIES(${GTK2_INCLUDE_DIRS})
-	ELSE ()
-	  MESSAGE("-----------------GTK2 NOT FOUND--------------------")
-	  INCLUDE_DIRECTORIES(/usr/include/gtk-2.0
-	      /usr/include/atk-1.0
-	      /usr/include/pango-1.0
-	      /usr/include/gio-unix-2.0/
-	      /usr/include/glib-2.0
-	      /usr/lib/i386-linux-gnu/glib-2.0/include
-	      /usr/include/freetype2
-	      /usr/include/libpng12
-	      /usr/lib/gtk-2.0/include
-	      /usr/include/cairo
-	      /usr/include/gdk-pixbuf-2.0
-	      /usr/include/pixman-1
-	  )  
-	ENDIF ()
 ENDIF()
 
 
@@ -284,3 +263,26 @@
 
 TARGET_LINK_LIBRARIES(${PROJECT_NAME} ${wxWidgets_LIBRARIES})
 
+TARGET_LINK_LIBRARIES(${PROJECT_NAME} ${VTK_LIBRARIES})
+
+TARGET_LINK_LIBRARIES(${PROJECT_NAME} ${ITK_LIBRARIES})
+
+IF(USE_CUSTOM_DCMTK)
+	TARGET_LINK_LIBRARIES(${PROJECT_NAME} ${DCMTK_LIBRARIES})
+ELSE()
+	TARGET_LINK_LIBRARIES(${PROJECT_NAME} ${DCMTK_LIBRARIES} wrap)
+ENDIF()
+
+IF(USE_SYSTEM_SQLITE)
+	TARGET_LINK_LIBRARIES(${PROJECT_NAME} sqlite3)
+ENDIF()
+
+TARGET_LINK_LIBRARIES(${PROJECT_NAME} ${Cairo_LIBRARIES})
+
+TARGET_LINK_LIBRARIES(${PROJECT_NAME} ${Pixman_LIBRARIES})
+
+IF (MACOS)
+	TARGET_LINK_LIBRARIES(${PROJECT_NAME} ${XmlRpc++_LIBRARIES})
+ENDIF()
+
+IF(LINUX)
