=== debian/changelog ===
ginkgocadx (3.8.8-5) unstable; urgency=medium

  * Team upload
  * Cherry-pick upsteam proposed patch to fix build with new dcmtk
    (Closes: #974660)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 13 Nov 2020 13:50:42 +0100

ginkgocadx (3.8.8-4) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Build-Depends: s/libgtk2.0-dev/libgtk-3-dev/
    Closes: #967401
  * Remove quotes in mailcap entry

 -- Andreas Tille <tille@debian.org>  Thu, 27 Aug 2020 06:53:52 +0200

ginkgocadx (3.8.8-3) unstable; urgency=medium

  * d/control: Update standard to 4.4.1 (no changes needed)

 -- Gert Wollny <gewo@debian.org>  Mon, 09 Dec 2019 20:37:23 +0100

ginkgocadx (3.8.8-2) unstable; urgency=medium

  [ Andreas Tille ]
  * rebuild against wxWidgets GTK 3 package
    Closes: #933414
  * debhelper-compat 12
  * Standards-Version: 4.4.0

  [ Gert Wollny ]
  * Add patch to force X11 with gtk3 backend to work around #900678

 -- Gert Wollny <gewo@debian.org>  Sat, 03 Aug 2019 17:26:04 +0200

ginkgocadx (3.8.8-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Drop custom compression settings

  [ Gert Wollny ]
  * New upstream version 3.8.8
  * d/control: Update required dcmtk version to 3.6.4

 -- Gert Wollny <gewo@debian.org>  Sat, 12 Jan 2019 18:13:46 +0100

ginkgocadx (3.8.7-2) unstable; urgency=medium

  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.3.0
  * Secure URI in copyright format
  * Remove trailing whitespace in debian/changelog
  * Remove trailing whitespace in debian/copyright
  * Remove trailing whitespace in debian/rules

 -- Andreas Tille <tille@debian.org>  Thu, 10 Jan 2019 10:49:53 +0100
