=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: ginkgocadx
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>,
            Thorsten Alteholz <debian@alteholz.de>,
            Gert Wollny <gewo@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 13),
                chrpath,
                cmake,
                libcairo2-dev,
                libcurl4-gnutls-dev,
-               libdcmtk-dev,
+               libdcmtk-dev ( >= 3.6.4 ),
                libfftw3-dev,
                libfreetype6-dev,
-               libgtk2.0-dev,
+               libgtk-3-dev,
                libinsighttoolkit4-dev,
                libjsoncpp-dev,
                default-libmysqlclient-dev,
@@ -22,13 +21,15 @@
                libvtk6-dev,
                libwrap0,
                libwrap0-dev,
-               libwxgtk3.0-dev,
+               libwxgtk3.0-gtk3-dev,
+               libgtk-3-dev,
                libxml2-dev,
                libgdcm-tools
-Standards-Version: 4.1.0
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/ginkgocadx.git 
-Vcs-Git: https://anonscm.debian.org/git/debian-med/ginkgocadx.git
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/med-team/ginkgocadx
+Vcs-Git: https://salsa.debian.org/med-team/ginkgocadx.git
 Homepage: http://ginkgo-cadx.com/
+Rules-Requires-Root: no
 
 Package: ginkgocadx
 Architecture: any
