=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 export DEB_CPPFLAGS_MAINT_APPEND=-DNDEBUG
 
 %:
-	dh $@ --parallel 
+	dh $@
 
 ## avoid post{inst|rm}-useless-call-to-ldconfig
 override_dh_makeshlibs:
